Tomcat3Request (Tomcat API Documentation)
Keywords: org.apache.coyote.tomcat3.Tomcat3Request class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.tomcat3
Class Tomcat3Request

    java.lang.Object
      org.apache.tomcat.core.Request
          org.apache.coyote.tomcat3.Tomcat3Request

public class Tomcat3Request
extends org.apache.tomcat.core.Request

The Request to connect with Coyote. This class handles the I/O requirements and transferring the request line and Mime headers between Coyote and Tomcat.

Author:
  Bill Barker, Costin Manolache
See Also:
  Serialized Form

Constructor Summary
`Tomcat3Request()`

Method Summary
`int` | `doRead()` Read a single character from the request body.
`int` | `doRead(byte[] b, int off, int len)` Read a chunk from the request body.
`java.lang.String` | `getAuthType()`
`Request` | `getCoyoteRequest()`
`java.lang.String` | `getJvmRoute()`
`java.lang.String` | `getLocalHost()`
`java.lang.String` | `getRemoteUser()`
`int` | `getServerPort()`
`boolean` | `isSecure()`
`protected int` | `readBytes()` Read bytes to the read chunk buffer.
`void` | `recycle()`
`MessageBytes` | `remoteAddr()`
`MessageBytes` | `remoteHost()`
`MessageBytes` | `serverName()`
`void` | `setAuthType(java.lang.String s)`
`void` | `setCoyoteRequest(Request cReq)` Attach the Coyote Request to this Request.
`void` | `setJvmRoute(java.lang.String s)`
`void` | `setRemoteUser(java.lang.String s)`
`void` | `setServerPort(int i)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tomcat3Request

    public Tomcat3Request()

Method Detail

### recycle

    public void recycle()

### getCoyoteRequest

    public Request getCoyoteRequest()

### setCoyoteRequest

    public void setCoyoteRequest(Request cReq)

  Attach the Coyote Request to this Request. This is currently set pre-request to allow copying the request attributes to the Tomcat attributes.

### doRead

    public int doRead()
               throws java.io.IOException

  Read a single character from the request body.

  Throws:
    `java.io.IOException`

### doRead

    public int doRead(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Read a chunk from the request body.

  Throws:
    `java.io.IOException`

### readBytes

    protected int readBytes()
                     throws java.io.IOException

  Read bytes to the read chunk buffer.

  Throws:
    `java.io.IOException`

### remoteAddr

    public MessageBytes remoteAddr()

### remoteHost

    public MessageBytes remoteHost()

### getLocalHost

    public java.lang.String getLocalHost()

### serverName

    public MessageBytes serverName()

### getServerPort

    public int getServerPort()

### setServerPort

    public void setServerPort(int i)

### setRemoteUser

    public void setRemoteUser(java.lang.String s)

### getRemoteUser

    public java.lang.String getRemoteUser()

### getAuthType

    public java.lang.String getAuthType()

### setAuthType

    public void setAuthType(java.lang.String s)

### getJvmRoute

    public java.lang.String getJvmRoute()

### setJvmRoute

    public void setJvmRoute(java.lang.String s)

### isSecure

    public boolean isSecure()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.